|  | reflex::FuzzyMatcher::SaveState Struct Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
reflex::FuzzyMatcher::SaveState Struct Reference

Save state to restore fuzzy matcher state after a second pass. More...

`#include <fuzzymatcher.h>`

## Public Member Functions

| SaveState (size_t ded)

## Public Attributes

bool | use
size_t | loc
size_t | cap
size_t | txt
size_t | cur
size_t | pos
size_t | ded
bool | mrk
uint8_t | err

## Detailed Description

Save state to restore fuzzy matcher state after a second pass.

## Constructor & Destructor Documentation

reflex::FuzzyMatcher::SaveState::SaveState | ( | size_t | ded | ) |

inline

## Member Data Documentation

size_t reflex::FuzzyMatcher::SaveState::cap

size_t reflex::FuzzyMatcher::SaveState::cur

size_t reflex::FuzzyMatcher::SaveState::ded

uint8_t reflex::FuzzyMatcher::SaveState::err

size_t reflex::FuzzyMatcher::SaveState::loc

bool reflex::FuzzyMatcher::SaveState::mrk

size_t reflex::FuzzyMatcher::SaveState::pos

size_t reflex::FuzzyMatcher::SaveState::txt

bool reflex::FuzzyMatcher::SaveState::use

The documentation for this struct was generated from the following file:

- fuzzymatcher.h